import ElementPlus from "element-plus";
import * as ElementPlusIconsVue from "@element-plus/icons-vue";
import TCCCWebChat from "./TCCCWebChat.vue";
import TcccMessageItem from "./TUIKit/TUIComponents/container/TUIChat/components/message-tccc.vue";
export default {
    install(app: any) {
        app.use(ElementPlus);
        for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
            app.component(key, component);
        }
        app.component('TCCCWebChat', TCCCWebChat);
        app.component('TcccMessageItem', TcccMessageItem);
    }
}