import { getQuery, isPreEnv, isTestEnv } from '../utils';
const query = getQuery();
export const isGlobalSite = window.location.hostname === 'connect.tencentcloud.com' || query.globalSite;
export const apiBaseUrl = (() => {
  if (window.location.host.endsWith('tencentcloud.com') || isGlobalSite) {
    return 'https://api.connect.tencentcloud.com';
  }
  if (window.location.host.endsWith('tencent.com.cn')) {
    return 'https://api.ccc.cloud.tencent.com.cn';
  }
  if (window.location.host.endsWith('tencent.cn')) {
    return 'https://api.ccc.cloud.tencent.cn';
  }

  return process.env.VUE_APP_TCCC_TEST ?? 'https://api.tccc.qcloud.com';
})();


