import ElementPlus from "element-plus";
import * as ElementPlusIconsVue from "@element-plus/icons-vue";
import TCCCWebChatSSR from "./TCCCWebChatSSR.vue";

TCCCWebChatSSR.install = (app: any) => {
    app.use(ElementPlus);
    for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
        app.component(key, component);
    }
    app.component('TCCCWebChatSSR', TCCCWebChatSSR);
}

export default TCCCWebChatSSR
